=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2010-11-19 11:08:43 +0000
+++ client/drizzleslap.cc	2010-11-25 17:05:36 +0000
@@ -1698,8 +1698,8 @@
 
   if (opt_only_print)
   {
-    printf("/* CON: %lu */ %.*s;\n",
-           (size_t)drizzle_context(drizzle_con_drizzle(&con)),
+    printf("/* CON: %" PRIu64 " */ %.*s;\n",
+           (uint64_t)drizzle_context(drizzle_con_drizzle(&con)),
            len, query);
     return 0;
   }
@@ -1807,8 +1807,8 @@
 
   if (opt_only_print)
   {
-    printf("/* CON: %lu */ use %s;\n",
-           (size_t)drizzle_context(drizzle_con_drizzle(&con)),
+    printf("/* CON: %" PRIu64 " */ use %s;\n",
+           (uint64_t)drizzle_context(drizzle_con_drizzle(&con)),
            db);
   }
   else

=== modified file 'config/pandora-plugin'
--- config/pandora-plugin	2010-10-28 16:52:12 +0000
+++ config/pandora-plugin	2010-11-24 21:43:53 +0000
@@ -131,9 +131,16 @@
 pkgplugindir=%(pkgplugindir)s
 EXTRA_DIST = plugin.ini
 
+noinst_HEADERS=
+nobase_include_HEADERS=
+check_PROGRAMS=
+noinst_LTLIBRARIES=
+bin_PROGRAMS=
+
+
 """ % plugin)
   if plugin['headers'] != "":
-    plugin_file.write("noinst_HEADERS = %(headers)s\n" % plugin)
+    plugin_file.write("noinst_HEADERS += %(headers)s\n" % plugin)
   if plugin['install_headers'] != "":
     plugin_file.write("nobase_include_HEADERS += %(install_headers)s\n" % plugin)
   if plugin['testsuite']:
@@ -367,17 +374,19 @@
     return os.path.join(plugin_dir, "docs")
 
 def read_plugin_ini(plugin_dir):
+    sources_default=""
     if plugin_dir == ".":
       plugin_name="**OUT-OF-TREE**"
+      module_name="**OUT-OF-TREE**"
     else:
-      short_name=os.path.basename(plugin_dir)
+      sources_default="%s.cc" % os.path.basename(plugin_dir)
       plugin_name = plugin_dir[plugin_dir.index(config['root_plugin_dir']) + len(config['root_plugin_dir']) + 1:]
       module_name = plugin_name.replace("/", config['module_name_separator']).replace("\\", config['module_name_separator'])
       plugin_name = plugin_name.replace("/", config['plugin_name_separator']).replace("\\", config['plugin_name_separator'])
 
 
     plugin_file= os.path.join(plugin_dir,config['plugin_ini_fname'])
-    plugin_defaults= dict(sources="%s.cc" % short_name,
+    plugin_defaults= dict(sources=sources_default,
                           headers="",
                           install_headers="",
                           cflags="",

=== modified file 'drizzled/errmsg_print.h'
--- drizzled/errmsg_print.h	2010-02-04 08:14:46 +0000
+++ drizzled/errmsg_print.h	2010-11-25 01:53:19 +0000
@@ -33,10 +33,10 @@
 #define ERRMSG_LVL_WARN 3
 #define ERRMSG_LVL_ERROR 4
 
-// todo: add __attribute__((format(printf, 1, 2)))
-bool errmsg_printf (int priority, char const *format, ...);
+bool errmsg_printf(int priority, char const *format, ...)
+  __attribute__((format(printf, 2, 3)));
 
-void sql_perror (const char *message);
+void sql_perror(const char *message);
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/module/library.cc'
--- drizzled/module/library.cc	2010-10-30 01:19:00 +0000
+++ drizzled/module/library.cc	2010-11-25 01:53:19 +0000
@@ -150,7 +150,7 @@
                     "which does not match the current running version of "
                     "Drizzle: %" PRIu64"."),
                  dlpath.c_str(), module_manifest->drizzle_version,
-                 DRIZZLE_VERSION_ID);
+                 static_cast<uint64_t>(DRIZZLE_VERSION_ID));
     return NULL;
   }
 

=== modified file 'drizzled/signal_handler.cc'
--- drizzled/signal_handler.cc	2010-11-17 22:42:32 +0000
+++ drizzled/signal_handler.cc	2010-11-25 01:53:19 +0000
@@ -49,7 +49,7 @@
 void drizzled_print_signal_warning(int sig)
 {
   if (global_system_variables.log_warnings)
-    errmsg_printf(ERRMSG_LVL_WARN, _("Got signal %d from thread %"PRIu64),
+    errmsg_printf(ERRMSG_LVL_WARN, _("Got signal %d from thread %"PRIu32),
                   sig, global_thread_id);
 #ifndef HAVE_BSD_SIGNALS
   sigset_t set;

=== modified file 'm4/pandora_have_protobuf.m4'
--- m4/pandora_have_protobuf.m4	2009-09-22 21:56:03 +0000
+++ m4/pandora_have_protobuf.m4	2010-11-24 19:33:25 +0000
@@ -23,7 +23,9 @@
     [#include <google/protobuf/descriptor.h>],
     [google::protobuf::FileDescriptor* file;],
     [system])
-  CXXFLAGS="${save_CXXFLAGS}"
+  CXXFLAGS="${PTHREAD_CFLAGS} ${save_CXXFLAGS}"
+  LIBPROTOBUF="${LIBPROTOBUF} ${PTHREAD_LIBS}"
+  LTLIBPROTOBUF="${LTLIBPROTOBUF} ${PTHREAD_LIBS}"
   AC_LANG_POP()
 ])
 

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2010-11-23 18:04:36 +0000
+++ m4/pandora_warnings.m4	2010-11-25 17:47:48 +0000
@@ -87,83 +87,6 @@
             F_DIAGNOSTICS_SHOW_OPTION="-fdiagnostics-show-option"
           ])
 
-    AC_CACHE_CHECK([whether it is safe to use -Wformat],
-      [ac_cv_safe_to_use_wformat_],
-      [save_CFLAGS="$CFLAGS"
-       dnl Use -Werror here instead of ${W_FAIL} so that we don't spew
-       dnl conversion warnings to all the tarball folks
-       CFLAGS="-Wconversion -Werror -pedantic ${AM_CFLAGS} ${CFLAGS}"
-       AC_COMPILE_IFELSE(
-         [AC_LANG_PROGRAM([[
-#include <stdio.h>
-#include <stdint.h>
-#include <inttypes.h>
-void foo(bool a)
-{
-  uint64_t test_u= 0;
-  printf("This is a %" PRIu64 "test\n", test_u);
-}
-         ]],[[
-foo(0);
-         ]])],
-         [ac_cv_safe_to_use_wformat_=yes],
-         [ac_cv_safe_to_use_wformat_=no])
-       CFLAGS="$save_CFLAGS"])
-    AS_IF([test "$ac_cv_safe_to_use_wformat_" = "yes"],[
-      W_FORMAT="-Wformat"
-      W_FORMAT_2="-Wformat=2"
-      NO_FORMAT="-Wno-format"
-      ],[
-      W_FORMAT="-Wno-format"
-      W_FORMAT_2="-Wno-format"
-      NO_FORMAT="-Wno-format"
-    ])
-
-
- 
-    AC_CACHE_CHECK([whether it is safe to use -Wconversion],
-      [ac_cv_safe_to_use_wconversion_],
-      [save_CFLAGS="$CFLAGS"
-       dnl Use -Werror here instead of ${W_FAIL} so that we don't spew
-       dnl conversion warnings to all the tarball folks
-       CFLAGS="-Wconversion -Werror -pedantic ${AM_CFLAGS} ${CFLAGS}"
-       AC_COMPILE_IFELSE(
-         [AC_LANG_PROGRAM([[
-#include <stdbool.h>
-void foo(bool a)
-{
-  (void)a;
-}
-         ]],[[
-foo(0);
-         ]])],
-         [ac_cv_safe_to_use_wconversion_=yes],
-         [ac_cv_safe_to_use_wconversion_=no])
-       CFLAGS="$save_CFLAGS"])
-
-    AS_IF([test "$ac_cv_safe_to_use_wconversion_" = "yes"],
-      [W_CONVERSION="-Wconversion"
-      AC_CACHE_CHECK([whether it is safe to use -Wconversion with htons],
-        [ac_cv_safe_to_use_Wconversion_],
-        [save_CFLAGS="$CFLAGS"
-         dnl Use -Werror here instead of ${W_FAIL} so that we don't spew
-         dnl conversion warnings to all the tarball folks
-         CFLAGS="-Wconversion -Werror -pedantic ${AM_CFLAGS} ${CFLAGS}"
-         AC_COMPILE_IFELSE(
-           [AC_LANG_PROGRAM(
-             [[
-#include <netinet/in.h>
-             ]],[[
-uint16_t x= htons(80);
-             ]])],
-           [ac_cv_safe_to_use_Wconversion_=yes],
-           [ac_cv_safe_to_use_Wconversion_=no])
-         CFLAGS="$save_CFLAGS"])
-
-      AS_IF([test "$ac_cv_safe_to_use_Wconversion_" = "no"],
-            [NO_CONVERSION="-Wno-conversion"])
-    ])
-
     NO_STRICT_ALIASING="-fno-strict-aliasing -Wno-strict-aliasing"
     NO_SHADOW="-Wno-shadow"
 
@@ -214,6 +137,84 @@
             [BASE_WARNINGS="${BASE_WARNINGS} -Wextra"],
             [BASE_WARNINGS="${BASE_WARNINGS} -W"])
   
+      AC_CACHE_CHECK([whether it is safe to use -Wformat],
+        [ac_cv_safe_to_use_wformat_],
+        [save_CFLAGS="$CFLAGS"
+         dnl Use -Werror here instead of ${W_FAIL} so that we don't spew
+         dnl conversion warnings to all the tarball folks
+         CFLAGS="-Wformat -Werror -pedantic ${AM_CFLAGS} ${CFLAGS}"
+         AC_COMPILE_IFELSE(
+           [AC_LANG_PROGRAM([[
+#include <stdio.h>
+#include <stdint.h>
+#include <inttypes.h>
+void foo();
+void foo()
+{
+  uint64_t test_u= 0;
+  printf("This is a %" PRIu64 "test\n", test_u);
+}
+           ]],[[
+foo();
+           ]])],
+           [ac_cv_safe_to_use_wformat_=yes],
+           [ac_cv_safe_to_use_wformat_=no])
+         CFLAGS="$save_CFLAGS"])
+      AS_IF([test "$ac_cv_safe_to_use_wformat_" = "yes"],[
+        W_FORMAT="-Wformat -Wno-format-nonliteral -Wno-format-security"
+        W_FORMAT_2="-Wformat=2 -Wno-format-nonliteral -Wno-format-security"
+        NO_FORMAT="-Wno-format"
+        ],[
+        W_FORMAT="-Wno-format"
+        W_FORMAT_2="-Wno-format"
+        NO_FORMAT="-Wno-format"
+      ])
+
+
+ 
+      AC_CACHE_CHECK([whether it is safe to use -Wconversion],
+        [ac_cv_safe_to_use_wconversion_],
+        [save_CFLAGS="$CFLAGS"
+         dnl Use -Werror here instead of ${W_FAIL} so that we don't spew
+         dnl conversion warnings to all the tarball folks
+         CFLAGS="-Wconversion -Werror -pedantic ${AM_CFLAGS} ${CFLAGS}"
+         AC_COMPILE_IFELSE(
+           [AC_LANG_PROGRAM([[
+#include <stdbool.h>
+void foo(bool a)
+{
+  (void)a;
+}
+           ]],[[
+foo(0);
+           ]])],
+           [ac_cv_safe_to_use_wconversion_=yes],
+           [ac_cv_safe_to_use_wconversion_=no])
+         CFLAGS="$save_CFLAGS"])
+  
+      AS_IF([test "$ac_cv_safe_to_use_wconversion_" = "yes"],
+        [W_CONVERSION="-Wconversion"
+        AC_CACHE_CHECK([whether it is safe to use -Wconversion with htons],
+          [ac_cv_safe_to_use_Wconversion_],
+          [save_CFLAGS="$CFLAGS"
+           dnl Use -Werror here instead of ${W_FAIL} so that we don't spew
+           dnl conversion warnings to all the tarball folks
+           CFLAGS="-Wconversion -Werror -pedantic ${AM_CFLAGS} ${CFLAGS}"
+           AC_COMPILE_IFELSE(
+             [AC_LANG_PROGRAM(
+               [[
+#include <netinet/in.h>
+               ]],[[
+uint16_t x= htons(80);
+               ]])],
+             [ac_cv_safe_to_use_Wconversion_=yes],
+             [ac_cv_safe_to_use_Wconversion_=no])
+           CFLAGS="$save_CFLAGS"])
+  
+        AS_IF([test "$ac_cv_safe_to_use_Wconversion_" = "no"],
+              [NO_CONVERSION="-Wno-conversion"])
+      ])
+
       CC_WARNINGS="${BASE_WARNINGS} -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wcast-align ${CC_WARNINGS_FULL}"
       CXX_WARNINGS="${BASE_WARNINGS} -Woverloaded-virtual -Wnon-virtual-dtor -Wctor-dtor-privacy -Wno-long-long ${CXX_WARNINGS_FULL}"
 
@@ -351,7 +352,7 @@
       dnl TODO: Figure out a better way to deal with this:
       PROTOSKIP_WARNINGS="-Wno-effc++ -Wno-shadow -Wno-missing-braces ${NO_ATTRIBUTES}"
       NO_WERROR="-Wno-error"
-      INNOBASE_SKIP_WARNINGS="-Wno-shadow -Wno-cast-align -Wno-strict-prototypes"
+      INNOBASE_SKIP_WARNINGS="-Wno-shadow -Wno-cast-align"
       AS_IF([test "$host_vendor" = "apple"],[
         BOOSTSKIP_WARNINGS="-Wno-uninitialized"
       ])

=== modified file 'plugin/errmsg_notify/errmsg_notify.cc'
--- plugin/errmsg_notify/errmsg_notify.cc	2010-11-08 18:26:08 +0000
+++ plugin/errmsg_notify/errmsg_notify.cc	2010-11-25 01:53:19 +0000
@@ -22,6 +22,7 @@
 #include <cstdio>  /* for vsnprintf */
 #include <stdarg.h>  /* for va_list */
 #include <unistd.h>  /* for write(2) */
+#include <iostream>
 #include <libnotifymm.h>
 #include <boost/scoped_ptr.hpp>
 
@@ -85,7 +86,7 @@
      }
      catch (Glib::Error& err)
      {
-        fprintf(stderr, err.what().c_str());
+        cerr << err.what() << endl;
      }
 #endif
 

=== modified file 'plugin/transaction_log/transaction_log.cc'
--- plugin/transaction_log/transaction_log.cc	2010-10-29 02:01:29 +0000
+++ plugin/transaction_log/transaction_log.cc	2010-11-25 01:53:19 +0000
@@ -216,7 +216,7 @@
                     " bytes at offset %" PRId64 ", but only wrote %" PRId32 " bytes.  Error: %s\n"), 
                   static_cast<int64_t>(data_length),
                   static_cast<int64_t>(cur_offset),
-                  static_cast<int64_t>(written), 
+                  static_cast<int32_t>(written), 
                   errmsg);
     state= CRASHED;
     /* 

